MAPWIDTH = 10000
MAPHEIGHT = 800


function makelevel(n, myseed)
local file = love.filesystem.newFile("level"..n..".txt")
file:open("w")

if type(myseed) == "number" then
math.randomseed(myseed)
else
math.randomseed(os.time())
end

file:write("wall  x=\"100\" y=\"350\" imagefile=\"images/wallhori2 - thin.jpg\" response=\"wallresponse\" move=\"dontmove\"\r\n")


enemies = math.random(17,20)

walls = math.random(40,50)

enemystr1="imagefile=\"images/skellington.png\" response=\"enemyresponse\" move=\"movesideways;80;"
--enemystr2='"'
for t=1,enemies do
	x = math.random(MAPWIDTH)
	y = math.random(MAPHEIGHT)

	file:write("x=\""..x.."\" y=\""..y.."\" "..enemystr1..x.."\"".."\r\n")
end

wallstr = "imagefile=\"images/wallhori2 - thin.jpg\" response=\"wallresponse\" move=\"dontmove\""
--[[for t=1,walls do
	x = math.random(MAPWIDTH)
	y = math.random(MAPHEIGHT)
	file:write("x=\""..x.."\" y=\""..y.."\" "..wallstr.."\r\n")
end]]

lastx = 100
lasty = 350
for t=1,walls do
	x = math.random(lastx+100,lastx+800)
	y = math.random(math.max(lasty-400,0),MAPHEIGHT)
	file:write("x=\""..x.."\" y=\""..y.."\" "..wallstr.."\r\n")
	lastx = x
	lasty = y
	if lastx >= MAPWIDTH then break end
end

y = math.random(MAPHEIGHT)
levelstr = "imagefile=\"images/nextlevel.png\" response=\"levelresponse\" move=\"dontmove\""
file:write("x=\"9500\" y=\""..y.."\" "..levelstr.."\r\n")

file:close()
end