objects = {}
require("modules.metavec2d")
require("modules.objects")
require("modules.tiles")
require("modules.rectangles")
require("modules.movements")
require("modules.randomlevelgen")
require("modules.getStr")

gameover = false
godmode = false
loading = false
menu = false
jumpstrength = -300

tiles = {}
levels = {vec(200,200),vec(200,200)}


secondjumptime = 0

firstframe = true
--local player

--local background
--touchingGround = false
local focus = true


--menu
menux=200
menuy=100
--menubutton1 aka make random level
menub1x=menux+58
menub1y=menuy+119
menub1w=311-58
menub1h=147-119

--menubutton2 aka restart level
menub2x=menux+52
menub2y=menuy+208
menub2w=219-52
menub2h=234-208

--[[function signal(x)
 if x > 0 then return 1 elseif x == 0 then return 0 else return -1 end
end]]

--[[
function raycast(pos0,dx,dy,t)
if pos0.x < t or pos0.y < t or pos0.x > backgroundData:getWidth()-t or pos0.y > backgroundData:getHeight()-t then return false,1/0 end
 for t0=0,t do
   r, g, b, a = backgroundData:getPixel(pos0.x, pos0.y)
	if r==0 and g==0 and b==0 then
		--print("dx="..dx,"dy="..dy,"t0="..t0,"pos0.x="..pos0.x,"pos0.y="..pos0.y)
		return true,t0
        end
   pos0.x=pos0.x+dx
   pos0.y=pos0.y+dy
 end
return false,1/0
end
]]

function insertobject(obj)
   table.insert(objects,obj)
    obj.id = #objects
	local tx,ty = getTile(obj.position.x,obj.position.y)
	if tiles[tx] == nil then tiles[tx] = {} end
	if tiles[tx][ty] == nil then tiles[tx][ty] = {} end
	  tiles[tx][ty][obj.id] = obj
end

function cropImage(imgData, width, height, sx, sy)
  local source = imgData
  local w, h = source:getWidth(), source:getHeight()

    if w~= width or h~=height then
	local padded = love.image.newImageData(width, height)
        padded:paste(source, 0, 0, sx, sy)
	return padded			--love.graphics.newImage(padded)
    end
  return source 	--love.graphics.newImage(source)
end

function loadobject(x,y,imagething,movetable,responsestr)
if imagething == nil then print("imagething eh nil")  return end
	local obj = makeobject(x,y,imagething)
		if (obj.width > PARTITION or obj.height > PARTITION) and movetable[1] == "dontmove" then
			if (obj.width > PARTITION) then
				for sx = 0,obj.width,PARTITION do
				 local img
				  if obj.width - sx > PARTITION then
				    img = cropImage(obj.imageData, PARTITION, obj.height, sx, 0)
				  else
				    img = cropImage(obj.imageData, obj.width - sx, obj.height, sx, 0)
				  end
				 loadobject(x+sx,y,img,movetable,responsestr)	--depois mudar img->imagedata  e imagefile->imagedata
				end
			  return
			end
			if (obj.height > PARTITION) then
				for sy = 0,obj.height,PARTITION do
				 local img
				  if obj.height - sy > PARTITION then
				    img = cropImage(obj.imageData, obj.width, PARTITION, 0, sy)
				  else
				    img = cropImage(obj.imageData, obj.width, obj.height - sy, 0, sy)
				  end
				 loadobject(x,y+sy,img,movetable,responsestr)	--depois mudar img->imagedata  e imagefile->imagedata
				end
			  return
			end
		end
	obj.response = _G[responsestr]
	if #movetable >= 1 then
		obj.move = _G[movetable[1]](select(2,unpack(movetable)))
	end
	insertobject(obj)
end

function loadlevelobjects(level)
   local e = love.filesystem.exists("level"..level..".txt")
     if not e then return false end
	for line in love.filesystem.lines("level"..level..".txt") do
	  if line ~= "" then
			print(line)
		   local imagefile = getStr(line,"imagefile")
		   --local obj = makeobject(getStr(line,"x"), getStr(line,"y"), imagefile)
		   local x = getStr(line,"x")
		   local y = getStr(line,"y")
		   local t = getMultiple(line,"move")
			--if (obj.width > PARTITION or obj.height > PARTITION) and t[1] == "dontmove" then

		   local responsestr = getStr(line,"response")
		   --obj.response = _G[getStr(line,"response")]
			--if #t > 1 then
			  --obj.move = _G[t[1]](select(2,unpack(t)))
			--else
			  --obj.move = _G[t[1]]()
			--end
		   --insertobject(obj)

			loadobject(x,y,imagefile, t, responsestr)
	  end
	end
   return true
end

function love.load()
--menu
   menubutton1 = makepoorobject(menub1x,menub1y,menub1w,menub1h)
   menubutton2 = makepoorobject(menub2x,menub2y,menub2w,menub2h)
   menuimg = love.graphics.newImage("images/menu.png")

--player
   player = makeobject(levels[1].x,levels[1].y,"images/cake.jpg")
   player.maxlives = 5
   player.lives= player.maxlives
   player.level = 1
   player.touchingGround = false
   player.jumps = 2
   player.jumpsleft = player.jumps

	loadlevelobjects(player.level)

  flamesonass = love.graphics.newImage("images/flamesonass.jpg")

   --image = love.graphics.newImage("images/rec.png")
   gameoverimg = love.graphics.newImage("images/gameover.png")
   youwin = love.graphics.newImage("images/youwin.png")
   --backgroundData = love.image.newImageData("images/level1.png")
   ---background = love.graphics.newImage(backgroundData)
   local f = love.graphics.newFont(12)
   love.graphics.setFont(f)
   love.graphics.setColor(255,255,255,255)
   love.graphics.setBackgroundColor(0,162,232)




end


function love.update(dt)
 if not focus then return end
 if listening then return end
 if gameover then return end
 if godmode then return end
 if menu then return end
 if loading then loading = false end


if player.position.y > 1400 then
	enemyresponse(0,player)
	return
end


if secondjumptime > 0 then  
	if love.keyboard.isDown("up") then
		player.velocity.y = jumpstrength
		secondjumptime = secondjumptime - dt 
	else 
		secondjumptime = 0
	end
end 

  player.velocity.x = 0

for k,v in pairs(objects) do
    if v.move then
	  v.move(v,dt)   			-- eu qria um object:move(), mas eh mto trabalho pra soh um detalhe
    end
end

   if love.keyboard.isDown("right") then
      player.velocity.x = player.velocity.x + 150 --*dt
   end
   if love.keyboard.isDown("left") then
      player.velocity.x = player.velocity.x - 150 --*dt
   end


 local mag = player.velocity:magnitude()

--dx,dy=signal(player.velocity.x),signal(player.velocity.y)


--if not player.touchingGround then
	player.velocity.y = player.velocity.y+500*dt
--end

        player.position.x = player.position.x+player.velocity.x*dt
	player.position.y = player.position.y+player.velocity.y*dt



--checa por colisao com inimigos

tx,ty=getTile(player.position.x,player.position.y)
--print(tx,ty)
player.tiles = {}


if tiles ~= nil then

for x=tx-1,tx+1 do
if tiles[x] ~= nil then
  for y=ty-1,ty+1 do
	table.insert(player.tiles, tiles[x][y])
  end
end
end

end

--player.tiles

for x=1,#player.tiles do
   if player.tiles[x] ~= nil then
	for k,v in pairs(player.tiles[x]) do
		if dorectanglesintersect(player,v) then
			if v.response then
				if firstframe and v.response == enemyresponse then removeobject(v) player.position.y = player.position.y - 100 return end
				v.response(v,player,dt)
				if loading then return end
			end
		end
	end
   end
end


if firstframe then firstframe = false end


end

function enemyresponse(this,playerobj)
	teleport(playerobj,levels[1])
	playerobj.lives = playerobj.lives-1
	firstframe = true

	if playerobj.lives > 0 then
		print("PLAYER WAS KILLED")
		love.graphics.print("PLAYER WAS KILLED", 200, 400)
	else
		print("GAME OVER MOTHERFUCKER")
		love.graphics.print("GAME OVER MOTHERFUCKER", 200, 400)
		gameover = true
	end
end

function wallresponse(this,playerobj,dt)
	playerobj.position = playerobj.position - playerobj.velocity*dt

	if this:y0() >= playerobj:y1() then
		playerobj.touchingGround = true
		player.jumpsleft=player.jumps
	end

		if this:y0() >= playerobj:y1() or this:y1() <= playerobj:y0() then
			playerobj.position.x = playerobj.position.x + playerobj.velocity.x*dt
			playerobj.velocity.y = 0
		elseif this:x0() >= playerobj:x1() or this:x1() <= playerobj:x0() then
			playerobj.position.y = playerobj.position.y + playerobj.velocity.y*dt
			playerobj.velocity.x = 0
		end


end


function removeobject(obj)
	local tx,ty = getTile(obj.position)
				if tiles[tx][ty] ~= nil then
				  tiles[tx][ty][obj.id] = nil
				else
					print("tile not removed:"..tx.." "..ty)
				end
	objects[obj.id] = nil
end


function levelresponse(this,playerobj)
	if levels[1] then
		playerobj.level = playerobj.level+1
		teleport(playerobj,levels[1])
		print("PLAYER BEAT LEVEL"..(playerobj.level-1))
		--love.graphics.print("PLAYER BEAT LEVEL"..(playerobj.level-1), 200, 400)

		--backgroundData = love.image.newImageData("images/level"..player.level..".png")
   		--background = love.graphics.newImage(backgroundData)

		local e = love.filesystem.exists("level"..playerobj.level..".txt")
			if not e then
				gameover = true
				playerobj.level = playerobj.level-1
				loading=true
				print("level "..(playerobj.level+1).." nao existe")
				return
	 		end
		--clear all objects
		for k,v in pairs(objects) do
			  --local obj = objects[t]
			  --local tx,ty = getTile(obj.position)
			  --local tile = tiles[tx][ty]
				--[[if tiles[tx][ty] ~= nil then
				  tiles[tx][ty][obj.id] = nil
				else
					print("tile not removed:"..tx.." "..ty)
				end]]
                	  --objects[t] = nil
			removeobject(v)
		end


	--load new level objects
	local e = loadlevelobjects(playerobj.level)
	 if not e then
		gameover = true
	 end


	else
		print("PLAYER BEAT GAME")
		love.graphics.print("PLAYER BEAT GAME", 10, 10)
		gameover = true
	end
   loading = true
end


function love.draw()



if gameover then
   if player.lives > 0 then
	love.graphics.draw(youwin, 0, 0)
   else
	love.graphics.draw(gameoverimg, 0, 0)
   end
else
   --love.graphics.draw(background, 0, 0)
   --love.graphics.draw(image, imgx, imgy)

   --love.graphics.draw(background, 400-player.position.x, 300-player.position.y)
   love.graphics.draw(player.image, 400, 300)

   if secondjumptime > 0 and player.jumpsleft <= player.jumps-2 then
	   love.graphics.draw(flamesonass, 400, 300+player.height)
	--print(type(flamesonass))
   end

	for k,v in pairs(objects) do
		love.graphics.draw(v.image,400-player.position.x+v.position.x, 300-player.position.y+v.position.y)
	end
end

if menu then
  love.graphics.draw(menuimg,menux,menuy)
end

end


function love.mousepressed(x, y, button)
   if button == 'l' and godmode then
	player.position.x = player.position.x + x - 400
	player.position.y = player.position.y + y - 300

   end

   if menu and button == 'l' then
	mouseobj = makepoorobject(x,y,1,1)
	if dorectanglesintersect(menubutton1, mouseobj) then  -- make random level
		makelevel(player.level+1)
		levelresponse(0, player)
		menu = false
	elseif dorectanglesintersect(menubutton2, mouseobj) then  -- restart level
		playerrestart()
		menu = false
	end
   end

end

function playerrestart()
		firstframe = true
		teleport(player,levels[1])
		player.velocity = vec(0,0)
		secondjumptime = 0
		if gameover then
			gameover = false
			player.lives= player.maxlives
		end
end



listening = false
allowed = "abcdefghijklmnopqrstuvwxyz1234567890+'-.,<>!#%&/()=?*_:;{[]}\\|" .. '"'
lastcommands = {}
command = ""
commandN = 1
shiftpressed = false

function love.keypressed(key, unicode)
   if listening == false then
	   if (key == "up" or key == " ") and (player.touchingGround or player.jumpsleft > 0) then
	      player.touchingGround = false
	      player.velocity.y = jumpstrength
	      player.jumpsleft = player.jumpsleft - 1
	      		secondjumptime = 0.45
	   end

	   if key == "r" then
		playerrestart()
	   end

	   if (key == "escape") then menu = not menu end

	   if key == "tab" then
		listening = true
		return
	   end
   else 											  ---if listening then

		if #key == 1 then  ---allowed:find(key,1,true) then
		   if shiftpressed then key = modifybyshift(key) end
		   command = command .. key
		   print(command)
		end

	if key == "rshift" or key == "lshift" then
		shiftpressed = true
		return
	   end
	if key == "backspace" then
		command = command:sub(1,-2)
		print(command)
	elseif key == "return" then
		if command == nil then command = "" end
		loadstring(command)()
		table.insert(lastcommands, command)
		command = ""
		commandN = commandN + 1
		listening = false
	elseif key == "up" and shiftpressed then
		commandN = commandN - 1
		if commandN < 1 then commandN=1 end
		command = lastcommands[commandN]
		print(command)
	elseif key == "down" and shiftpressed then
		commandN = commandN + 1
		if commandN > #lastcommands then commandN=#lastcommands end
		command = lastcommands[commandN]
		print(command)
	end

   end

end


function modifybyshift(key)
--if string.byte(key) >= string.byte("a") and string.byte(key) <= string.byte("z") then
--	key = string.char(string.byte(key) + string.byte("A") - string.byte("a")) elseif

	if key == "g" then return "G" elseif
	key == "`" then return '"' elseif
	key == "p" then key = "P" elseif
	key == "9" then key = "(" elseif
	key == "0" then key = ")" elseif
	key == "/" then key = ":" elseif
	key == "-" then key = "_" end

return key
end

function love.keyreleased(key,unicode)
   if key == "rshift" or key == "lshift" then
	shiftpressed = false
   end
end

function love.focus(f)
  focus = f
end

