Object = {}
mt = {}


function makeobject(posx,posy,imagefile)
local imgData
if type(imagefile) == "string" then
 imgData = love.image.newImageData(imagefile) 
elseif imagefile:type() == "ImageData" then
 imgData = imagefile
end
 local image = love.graphics.newImage(imgData)
 local obj={position=vec(posx,posy),velocity=vec(0,0),
	width=imgData:getWidth(),height=imgData:getHeight(),imageData=imgData,image=image}


	return setmetatable(obj, mt)
end


function makepoorobject(posx,posy,width,height)
 local obj={position=vec(posx,posy),velocity=vec(0,0),
	width=width,height=height}
	return setmetatable(obj, mt)
end


function Object:x0()
	return self.position.x
end

function Object:xh()
	return self.position.x+self.width/2
end

function Object:x1()
	return self.position.x + self.width
end

function Object:y0()
	return self.position.y
end

function Object:yh()
	return self.position.y +self.height/2
end

function Object:y1()
	return self.position.y +self.height
end




mt.__index = Object






function teleport(object, pos)
	object.position.x = pos.x
	object.position.y = pos.y
end